---
nw_sys_req_vars:

  building: "1"
  room: "1"
  rack: "1"
  role: "CORE"
  subrole: "PRI"
  protocol: "tftp"
  bkp_srvr_ip: "192.168.2.254"
  domain: "test.net"
  radius_pri_ip: "192.168.2.250"
  radius_sec_ip: "192.168.2.251"
  radius_group_name: "TestDCs"
  snmp_srvr_ip: "192.168.2.252"
  mst_domain: "TEST"
  mst_vlans: "3-4"
  log_srvr_ip: "192.168.2.254"
  mgmt_vlan_id: "3"
  mgmt_vlan_int: "Vlan3"
  mgmt_vlan_ip: "192.168.3.2/24"
  dead_vlan_id: "6"
  native_vlan_id: "2"
  mgmt_int_ip: "dhcp"
  loopback_int_ip: "192.127.0.2/32"

  feature: |
    feature nxapi
    feature scp-server
    feature vrrp
    cfs eth distribute
    feature scheduler
    feature interface-vlan
    feature dot1x
    feature lacp
    feature vpc
    feature lldp

  vty_acl: |
    ip access-list VTY_Access
      10 permit ip any any log
      20 permit ip 10.0.2.0/24 any log
      30 permit ip 165.227.206.66/32 any log
      40 permit ip 192.168.5.1/32 any log
      50 deny ip any any log

  ntp:
    peer: "192.168.3.2"
    key_id: "1"
    state: "present"

  mst:
    priority: "24576"

  vrf:
    name: "KeepAlive"
    state: "present"

  vpc:
    domain: "1"
    role_priority: "100"
    pkl_src: "192.168.1.1"
    pkl_dest: "192.168.1.2"
    pkl_vrf: "KeepAlive"
    state: "present"
